> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# OAuth Applications

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`DELETE /applications/{client_id}/grant`](https://docs.github.com/enterprise-cloud@latest/rest/apps/oauth-applications#delete-an-app-authorization) - Delete an app authorization
* [`POST /applications/{client_id}/token`](https://docs.github.com/enterprise-cloud@latest/rest/apps/oauth-applications#check-a-token) - Check a token
* [`PATCH /applications/{client_id}/token`](https://docs.github.com/enterprise-cloud@latest/rest/apps/oauth-applications#reset-a-token) - Reset a token
* [`DELETE /applications/{client_id}/token`](https://docs.github.com/enterprise-cloud@latest/rest/apps/oauth-applications#delete-an-app-token) - Delete an app token
